
/* prop.h */

#ifndef MY_PROP_H
#define MY_PROP_H

#include "area.h"

#include <QTreeWidget>

/* ---------------------------------------------------------------------- */

class MyProp : public QTreeWidget
{
   public:
       explicit MyProp (QWidget *parent = 0 );
       // virtual ~MyProp ();

       void display (Area * area);
};

/* ---------------------------------------------------------------------- */

class BoolField : public Field
{
};

class IntField : public Field
{
};

class LongField : public Field
{
};

class FloatField : public Field
{
};

class DoubleField : public Field
{
};

class ListField : public Field
{
   public:
      QStringList list;

      virtual bool ListEnabled () { return true; }
      virtual int ListCount () { return list.size (); }
      virtual QString ListValue (int inx) { return list[inx]; }
};

/* ---------------------------------------------------------------------- */

#endif // MY_PROP_H
