
/* win.h */

#ifndef MY_WIN_H
#define MY_WIN_H

// #include "area.hpp"
// #include "palette.h"
// #include "tree.h"
#include "view.h"
// #include "edit.h"
// #include "table.h"
// #include "prop.h"

#include <QMainWindow>
#include <QMenuBar>
#include <QToolBar>
#include <QStatusBar>
#include <QTextEdit>

class MyWin : public QMainWindow
{
   Q_OBJECT

   public:
       explicit MyWin (QWidget * parent = 0);
       // virtual ~ MyWin ();

   private:
      void setup ();

   public:
      QMenuBar * mainMenu;
      // QToolBar * toolbar;
      QStatusBar * statusBar;

      QTabWidget * tab;

      MyView * view;

      QMenu * fileMenu;
      QMenu * editMenu;
      QMenu * viewMenu;

      QAction * show_info;
};

#endif // MY_WIN_H
